GNU bug report logs - #36971
27.0.50; gamegrid-add-score writes to /tmp, not gamegrid-user-score-file-directory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sven Joachim <svenjoac@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 36971 <at> debbugs.gnu.org and Sven Joachim <svenjoac@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36971 <at> debbugs.gnu.org:


Received: (at 36971) by debbugs.gnu.org; 23 Aug 2019 04:42:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 00:42:18 2019
Received: from localhost ([127.0.0.1]:38820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i11P0-0004Lk-7N
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:42:18 -0400
Received: from quimby.gnus.org ([80.91.231.51]:40112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1i11Oy-0004Lb-IR
 for 36971 <at> debbugs.gnu.org; Fri, 23 Aug 2019 00:42:17 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1i11Ot-0003qD-Fu; Fri, 23 Aug 2019 06:42:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sven Joachim <svenjoac@HIDDEN>
Subject: Re: bug#36971: 27.0.50; gamegrid-add-score writes to /tmp, not
 gamegrid-user-score-file-directory
References: <87blx0uk3y.fsf@HIDDEN>
Date: Fri, 23 Aug 2019 06:42:11 +0200
In-Reply-To: <87blx0uk3y.fsf@HIDDEN> (Sven Joachim's message of "Thu,
 08 Aug 2019 10:39:13 +0200")
Message-ID: <87blwgh4rg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sven Joachim <svenjoac@HIDDEN> writes: > I have just played
 a Tetris game (very nice with the bigger glyphs, > thank you for that!),
 and Emacs wrote the score file to > /tmp/tetris-scores,
 rather than /home/sven/.emacs.d/games/tetris-score [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36971
Cc: 36971 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sven Joachim <svenjoac@HIDDEN> writes:

> I have just played a Tetris game (very nice with the bigger glyphs,
> thank you for that!), and Emacs wrote the score file to
> /tmp/tetris-scores, rather than /home/sven/.emacs.d/games/tetris-scores.
>
> ,----
> | gamegrid-user-score-file-directory is a variable defined in =E2=80=98ga=
megrid.el=E2=80=99.
> | Its value is "~/.emacs.d/games/"
> |=20
> | Documentation:
> | A directory for game scores which can=E2=80=99t be shared.
> | If Emacs was built without support for shared game scores, then this
> | directory will be used.
> `----
>
> This version of Emacs is built without support for shared game scores,
> AFAICT.

The code in question is a bit confusing -- there are many different
possibilities, like a shared directory and executables to manage that.
But I think that basically the logic is wrong: In a default environment
(no shared), it should write to gamegrid-user-score-file-directory, not
"/tmp", so I've changed that on the trunk now to be more in line with
documented behaviour.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36971; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Aug 2019 08:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 08 04:39:28 2019
Received: from localhost ([127.0.0.1]:39883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvdxG-0008Im-5P
	for submit <at> debbugs.gnu.org; Thu, 08 Aug 2019 04:39:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:56549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <svenjoac@HIDDEN>) id 1hvdxD-0008Id-RE
 for submit <at> debbugs.gnu.org; Thu, 08 Aug 2019 04:39:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40279)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <svenjoac@HIDDEN>) id 1hvdxC-00038d-H8
 for bug-gnu-emacs@HIDDEN; Thu, 08 Aug 2019 04:39:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <svenjoac@HIDDEN>) id 1hvdxB-0007P5-9I
 for bug-gnu-emacs@HIDDEN; Thu, 08 Aug 2019 04:39:22 -0400
Received: from mout.gmx.net ([212.227.15.19]:59743)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <svenjoac@HIDDEN>) id 1hvdxA-0007OX-Ta
 for bug-gnu-emacs@HIDDEN; Thu, 08 Aug 2019 04:39:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1565253555;
 bh=9fXq4eiUdorT/nknABdjSuzCiAFoa0z5U03mxNPn3LQ=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=jCbVPIltG8xaa1D9ARwwd7+SbG4InL7S7fWW/Dsh/nzHXioGFlohH976XULgqS++a
 xQp1ZsviCnHz+aPWT8CWxo0Z3//lrZ2TNxGqdiizIQ1TmK+g4LX6s3SA+uGOzG4Wlm
 noRNBmx05YOgY7OoTaCGgSR/fvv6KFwbo2JPeff0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from localhost.localdomain ([79.223.36.122]) by mail.gmx.com
 (mrgmx001 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M54s2-1iFklh08iM-00zEWd for <bug-gnu-emacs@HIDDEN>; Thu, 08 Aug 2019
 10:39:15 +0200
Received: by localhost.localdomain (Postfix, from userid 1000)
 id 475D2800A5; Thu,  8 Aug 2019 10:39:13 +0200 (CEST)
From: Sven Joachim <svenjoac@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; gamegrid-add-score writes to /tmp, not
 gamegrid-user-score-file-directory
X-Debbugs-Cc: Sven Joachim <svenjoac@HIDDEN>
Date: Thu, 08 Aug 2019 10:39:13 +0200
Message-ID: <87blx0uk3y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:dr4gBEFHSfINGVhUkm7zSbQVcxdgZ/JIKo4yts8Lb0KW4F5j2KY
 IMStYBHuD26Yak/e+NA9QWFd6xfPRgkRlQev3S+FXca9JdF5DsogCZv0iponNqr6LPvtkjY
 tDMceU7Kdbxw52ywkT4UnA7DFDK6cLfyNjFnfm/QLs/kX8ENgd0F+/XzxrvD3+jLWmBAns0
 QlZIPd5IX2TjFUr7MSrmA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:BvuG+zpprXg=:uBcAC++6uqhN/q1/2ZX4cC
 XAxZ8tsbWtf7uKFJSSXRVO58OBGTidC882PxHcwoUYnYzb0u+/LLIJqEMHeC+4BbpbaJ/mpcH
 CISQTbxBm65VxpZlyzWGBjeW9bqrKhOaMbpZiPzBXIosa+NyTpJYwiu4YeAQJJN7e5WSiHe8f
 c7oz/55+IC5XsqTn69ANvJh15zp7nh4hMVTQSY0Ar69JwKbn3z23ohO4+yY/f3DHP2rP5SW8+
 HOoPK8sbDg5XTAtC4taCc3FAmEUoBYVgCqq7ilGCS1vXKuqe/D2/daGjngEL/3l77iIOFIxNG
 amrnYGGzfhXsMyHEzxwxmHIjNTTdu7TpIfRJfxcyUIH+w2gMglIBtu3oIKUQUhkQzoD3yb6zH
 5lNdm1MhEPxIs5zr8xadc+jlPZUUUZdyD650KEg9LsMfoKwuinOpfvNou0hGOprdHQ11qUhSl
 LIpuW1oCgSyDClT/1iefROa1L/u4KcKmBGCKaWktVLYa884zB25XIqPnqqOKFwi9WWC+G9pBo
 FuepR9Kh7rSITuVDGrwpWMzgeG1npmj+OXwZxNmNX5zdkX2r5PkT6Ple1KQQ+ybwrlIlnLnt7
 r0+C2votFGF9dJ5Fx8ZTfiYYw0NlDWOAWeGK+gdfn7Obsoi9AyUH9e9G+P1AKxQDOTo2FMqK+
 klbdZUqFYYvJU1QPVU7InGSHWv9TNgTeCtljsM3DjW24NgRKBe5sSj8+5cSxBktby9QCR1wPW
 SP4yHAXXuZzXvd+VTEd306aYLRsZ6squeBppVzkOKNYz+aJA9hVAdb7i3ef+OGwU71Y7t1N5Z
 6SY+gz36D0Oue0tUblbjmIHBHn9RNlhzqQ+DkfaGswe8j6Sk0MTMLxyqL/qZLwvQyZwU+D8+W
 4E5VtLyQmvgz549cTb0ajlybCppgLTzrA44z01DLXx2DRjyML17e0GoJGsAvxn1G9U6Mm7jz1
 rVKfa/LGy9Od2g0oj46+E7XMR0ga3/zcdygslAciQBDHPdlxVaaVpXwD5yH0ucgcpNLMsbVu0
 7l0V05IEVCl82KLV7OoX94BlBYx7wKMUhIvKK+ZqUHsaJnLxTnX2h9yh0K0Iw8TX1Dc1/43Ia
 LUAMKwKUeajT9z2VUGUCsYGnW5YPsyEjBo6EQ+3cg/Y4hN270QNtlJ3Er7x/T0QehmP/Obgws
 wRo4Q=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.19
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

I have just played a Tetris game (very nice with the bigger glyphs,
thank you for that!), and Emacs wrote the score file to
/tmp/tetris-scores, rather than /home/sven/.emacs.d/games/tetris-scores.

,----
| gamegrid-user-score-file-directory is a variable defined in =E2=80=98game=
grid.el=E2=80=99.
| Its value is "~/.emacs.d/games/"
|=20
| Documentation:
| A directory for game scores which can=E2=80=99t be shared.
| If Emacs was built without support for shared game scores, then this
| directory will be used.
`----

This version of Emacs is built without support for shared game scores,
AFAICT.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 2.24.32)
 of 2019-08-07 built on turtle
Repository revision: 2a82b5542661d181933b11f9c72323ef5da708ef
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Saving file /tmp/tetris-scores...
Wrote /tmp/tetris-scores

Configured using:
 'configure --build x86_64-linux-gnu --host x86_64-linux-gnu
 --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var --infodir=3D/usr/share/info/emacs-snapshot
 --mandir=3D/usr/share/man --with-mailutils
 --enable-locallisppath=3D/etc/emacs-snapshot:/etc/emacs:/usr/local/share/e=
macs/27.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/27=
.0.50/site-lisp:/usr/share/emacs/site-lisp
 --without-wide-int --disable-silent-rules --without-compress-install
 --with-x=3Dyes --with-x-toolkit=3Dgtk2 --without-gconf --without-gsettings'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK2 X11 XDBE XIM THREADS LIBSYSTEMD JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Load-path shadows:
None found.

Features:
(shadow mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
view sort disp-table tetris gamegrid tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 46343 6654)
 (symbols 48 6197 1)
 (strings 32 15912 1882)
 (string-bytes 1 517933)
 (vectors 16 9528)
 (vector-slots 8 125110 9608)
 (floats 8 39 160)
 (intervals 56 588 512)
 (buffers 992 13))




Acknowledgement sent to Sven Joachim <svenjoac@HIDDEN>:
New bug report received and forwarded. Copy sent to svenjoac@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to svenjoac@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#36971; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Aug 2019 04:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.